Bug 1480254 - WARNING: CPU: 1 PID: 4545 at net/mac80211/ibss.c:1082 ieee80211_rx_mgmt_probe_beacon+0x725/0x7a0 [mac80211]
WARNING: CPU: 1 PID: 4545 at net/mac80211/ibss.c:1082 ieee80211_rx_mgmt_probe...
Status: NEW
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislaw Gruszka
Fedora Extras Quality Assurance
:
Depends On: 1480217
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-10 09:53 EDT by Ken Benoit
Modified: 2017-10-04 08:31 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1480217
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ken Benoit 2017-08-10 09:53:00 EDT
+++ This bug was initially created as a clone of Bug #1480217 +++

Description of problem:
When connecting to an already established IBSS connection using nmcli a warning is showing up in dmesg.

Version-Release number of selected component (if applicable):
RHEL-7.4

How reproducible:
Frequent, but not 100%

Steps to Reproduce:
1. Have a different system create an IBSS connection.
2. Using nmcli, have the test system connect to the established IBSS connection.

Actual results:
Connection successful but there is a warning with a call trace in dmesg shortly after connecting.

Expected results:
Connection successful with no warning.

Additional info:
This is also happening on Fedora 26 (which I will file a separate bug for).

Warning with call trace on RHEL-7.4 is below:
[  298.211973] ------------[ cut here ]------------
[  298.219842] WARNING: CPU: 0 PID: 308 at net/mac80211/ibss.c:1082 ieee80211_rx_mgmt_probe_beacon+0x725/0x7a0 [mac80211]
[  298.236624] Modules linked in: arc4 intel_powerclamp iwldvm mac80211 coretemp snd_hda_codec_hdmi intel_rapl iosf_mbi kvm_intel iTCO_wdt snd_hda_codec_realtek snd_hda_codec_generic iTCO_vendor_support kvm irqbypass iwlwifi mei_wdt snd_hda_intel crc32_pclmul joydev ghash_clmulni_intel snd_hda_codec cfg80211 dcdbas cryptd snd_hda_core pcspkr snd_hwdep snd_seq snd_seq_device sg i2c_i801 lpc_ich rfkill snd_pcm snd_timer shpchp snd mei_me soundcore mei nfsd auth_rpcgss nfs_acl lockd grace sunrpc ip_tables xfs libcrc32c sd_mod sr_mod cdrom crc_t10dif crct10dif_generic i915 i2c_algo_bit drm_kms_helper syscopyarea ahci sysfillrect libahci sysimgblt fb_sys_fops libata drm crct10dif_pclmul crct10dif_common crc32c_intel r8169 serio_raw mii i2c_core video dm_mirror dm_region_hash dm_log dm_mod
[  298.366423] CPU: 0 PID: 308 Comm: kworker/u4:4 Not tainted 3.10.0-693.el7.x86_64 #1
[  298.381919] Hardware name: Dell Inc. Inspiron 660s/0478VN       , BIOS A07 08/24/2012
[  298.393732] Workqueue: phy0 ieee80211_iface_work [mac80211]
[  298.402528]  0000000000000000 0000000093350718 ffff880035e6b988 ffffffff816a3d91
[  298.412644]  ffff880035e6b9c8 ffffffff810879c8 0000043a2c000000 0000000000000098
[  298.428368]  ffff880116b088c0 ffff8800cb4e2d28 ffff8800d0020700 ffff8800d33a1800
[  298.441490] Call Trace:
[  298.445299]  [<ffffffff816a3d91>] dump_stack+0x19/0x1b
[  298.455836]  [<ffffffff810879c8>] __warn+0xd8/0x100
[  298.461512]  [<ffffffff81087b0d>] warn_slowpath_null+0x1d/0x20
[  298.473323]  [<ffffffffc08266c5>] ieee80211_rx_mgmt_probe_beacon+0x725/0x7a0 [mac80211]
[  298.492622]  [<ffffffffc0826e4f>] ieee80211_ibss_rx_queued_mgmt+0x37f/0x490 [mac80211]
[  298.510154]  [<ffffffff811de581>] ? __slab_free+0x81/0x2f0
[  298.522224]  [<ffffffff811de581>] ? __slab_free+0x81/0x2f0
[  298.529384]  [<ffffffff81098a93>] ? __internal_add_timer+0x113/0x130
[  298.537293]  [<ffffffff81099f95>] ? mod_timer+0x185/0x220
[  298.543112]  [<ffffffff810cd794>] ? update_curr+0x104/0x190
[  298.553117]  [<ffffffff810ca29e>] ? account_entity_dequeue+0xae/0xd0
[  298.562372]  [<ffffffff810cdc7c>] ? dequeue_entity+0x11c/0x5d0
[  298.573615]  [<ffffffffc0827fcc>] ieee80211_iface_work+0x31c/0x490 [mac80211]
[  298.582556]  [<ffffffff810a881a>] process_one_work+0x17a/0x440
[  298.594739]  [<ffffffff810a94e6>] worker_thread+0x126/0x3c0
[  298.602782]  [<ffffffff810a93c0>] ? manage_workers.isra.24+0x2a0/0x2a0
[  298.615648]  [<ffffffff810b098f>] kthread+0xcf/0xe0
[  298.625418]  [<ffffffff810b08c0>] ? insert_kthread_work+0x40/0x40
[  298.633415]  [<ffffffff816b4f18>] ret_from_fork+0x58/0x90
[  298.639526]  [<ffffffff810b08c0>] ? insert_kthread_work+0x40/0x40
[  298.649099] ---[ end trace b788093dba460389 ]---
Comment 1 Ken Benoit 2017-08-10 09:54:41 EDT
Here is the Fedora 26 version of the warning message:

[   97.389948] ------------[ cut here ]------------
[   97.389994] WARNING: CPU: 1 PID: 106 at net/mac80211/ibss.c:1084 ieee80211_rx_mgmt_probe_beacon+0x6f8/0x770 [mac80211]
[   97.389995] Modules linked in: sunrpc arc4 iwldvm mac80211 intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm irqbypass iwlwifi snd_hda_codec_hdmi iTCO_wdt snd_hda_codec_realtek snd_hda_codec_generic joydev iTCO_vendor_support snd_hda_intel mei_wdt crct10dif_pclmul snd_hda_codec crc32_pclmul dcdbas cfg80211 dell_smm_hwmon snd_hda_core ghash_clmulni_intel r8169 intel_cstate i2c_i801 intel_uncore snd_hwdep mii intel_rapl_perf snd_seq snd_seq_device rfkill lpc_ich snd_pcm snd_timer snd mei_me soundcore mei shpchp tpm_tis tpm_tis_core tpm xfs libcrc32c i915 i2c_algo_bit drm_kms_helper crc32c_intel drm video
[   97.390039] CPU: 1 PID: 106 Comm: kworker/u4:4 Not tainted 4.11.11-300.fc26.x86_64 #1
[   97.390040] Hardware name: Dell Inc. Inspiron 660s/0478VN       , BIOS A07 08/24/2012
[   97.390058] Workqueue: phy0 ieee80211_iface_work [mac80211]
[   97.390060] Call Trace:
[   97.390066]  dump_stack+0x63/0x84
[   97.390070]  __warn+0xcb/0xf0
[   97.390073]  warn_slowpath_null+0x1d/0x20
[   97.390089]  ieee80211_rx_mgmt_probe_beacon+0x6f8/0x770 [mac80211]
[   97.390106]  ieee80211_ibss_rx_queued_mgmt+0x17b/0x450 [mac80211]
[   97.390111]  ? __slab_free+0x14c/0x2d0
[   97.390116]  ? account_entity_enqueue+0xd8/0x100
[   97.390118]  ? __slab_free+0x14c/0x2d0
[   97.390121]  ? __slab_free+0x14c/0x2d0
[   97.390123]  ? __slab_free+0x14c/0x2d0
[   97.390126]  ? skb_free_head+0x21/0x30
[   97.390129]  ? account_entity_dequeue+0xab/0xe0
[   97.390131]  ? dequeue_entity+0xed/0x4a0
[   97.390133]  ? pick_next_task_fair+0x131/0x550
[   97.390137]  ? __switch_to+0x225/0x460
[   97.390152]  ieee80211_iface_work+0x2e1/0x460 [mac80211]
[   97.390155]  process_one_work+0x19e/0x470
[   97.390157]  worker_thread+0x4e/0x4a0
[   97.390161]  kthread+0x125/0x140
[   97.390163]  ? process_one_work+0x470/0x470
[   97.390166]  ? kthread_park+0x90/0x90
[   97.390169]  ret_from_fork+0x25/0x30
[   97.390172] ---[ end trace be2d1041333f9f58 ]---
Comment 2 Stanislaw Gruszka 2017-10-04 08:31:27 EDT
I've debugged this. The problem is that iwldvm firmware (or hardware) sometimes provide wrong channel information of received beacon frame (i.e. instead of 2412 MHz, firmware tells that channel is 2417 MHz or 2422 MHz) 

Not sure what can be done about it. Iwldvm are old devices, so no firmware update will be provided. Perhaps we should workaround that somehow, but I'm not sure it if is worth to just to prevent (correct) warning.

Note You need to log in before you can comment on or make changes to this bug.